Author Topic: Fail to upgrade to 1.2 via auto  (Read 2034 times)

Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Fail to upgrade to 1.2 via auto
« on: March 22, 2015, 12:03:48 AM »
Hi

I tried to upgrade AbanteCart from ver 1.1.9 to ver 1.2 via the auto link.
During the upgrade, it gave an error message "There has been a critical error processing your request". For more detail, pls refers to screenshot - upgrade_error.png.
Take a look at the log file, it mentioned that cannot the drop index of ac_language_index and so on. For more details, please refers to the attach error log file - error.txt.

Please advise how to resolve this error so that can proceed with the upgrade to version 1.2.

Thank you
Jasmine

Offline eCommerce Core

  • Administrator
  • Hero Member
  • *****
  • Posts: 1600
  • Karma: +93/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #1 on: March 23, 2015, 09:11:14 AM »
Did you try to run this multiple times?

Looks like index is already created

2015-03-22 0:15:27 - database error:  AbanteCart core v.1.1.9 Error: Can't DROP 'ac_languages_index'; check that column/key exists<br />Error No: 1091<br />
ALTER TABLE `ab_languages`
  DROP INDEX ac_languages_index,
“If you’re in the luckiest one per cent of humanity, you owe it to the rest of humanity to think about the other 99 per cent.”
― Warren Buffett

Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #2 on: March 23, 2015, 09:55:53 AM »
Hi

First time run the upgrade of version 1.2

Fyi, the Abantecart was version 1.1.8, upgrade to 1.1.9 via the auto link was done 22 March.
The upgrade was successful.
On the same day, the Abantecart displayed the new version of 1.2. I just clicked on the auto link to upgrade it. Then I got the error which mentioned inside the mail thread.
Please guide me how to resolve it so that this version 1.2 can be working fine.

Thank you
Jasmine

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1774
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Fail to upgrade to 1.2 via auto
« Reply #3 on: March 24, 2015, 10:20:26 AM »
you can  try to create index in phpMyAdmin and call it ac_languages_index. And then try to upgrade again.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #4 on: March 26, 2015, 03:55:10 AM »
Hi abolabo

Thank you for the advice. Able to upgrade now.

Now just saw from the dashboard, it mentioned there is a new version of 1.2.1.

I saw from the installer upgrade script for the database, the table names starts with ac_xxx however i noticed that the existing table name started with ab_xxxx.

Please advise do i need to do anything on the database before I do the upgrade of 1.2.1? or Just proceed with version 1.2.1 via the auto link.

Thank you
Jasmine
 


Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #5 on: March 26, 2015, 09:14:23 AM »
Hi abolabo

Good day!

As mentioned in the previous thread that I have successfully upgrade to ver 1.2.
I just went through the error.txt, it display a lot sql errors on the columns.
Please advise any action require on this and how to resolve these error before we proceed with ver 1.2.1.

Enclosed the latest  error.txt for your reference.

Thank you
Jasmine

Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #6 on: March 26, 2015, 09:27:18 AM »
Hi

I trying to do some testing and noticed that it did not display of manufacturer's list under Data section for the Product's General tab.
Not sure is it due to the error for i have mentioned in the previous thread and cause this issue.
Please advise how to overcome this issue.

Thank you
Jasmine

Offline quekbhj

  • Full Member
  • ***
  • Posts: 133
  • Karma: +4/-1
    • View Profile
Re: Fail to upgrade to 1.2 via auto
« Reply #7 on: March 27, 2015, 11:11:09 AM »
Hi

I managed to resolve the manufacturer's list.
I found the solution from http://forum.abantecart.com/index.php/topic,3126.0.html
Now the manufacturer's list is able to list the drop down from Safari too.

Regards



 

Powered by SMFPacks Social Login Mod